import java.applet.Applet;

/**
 * 
 */
public class ElevatorApplet 
	extends Applet
{
	protected ElevatorVisualizer vis;
	protected Thread visThread;
	protected ElevatorLog log;
	
	public int getParamInt( String param, int def )
	{
		String temp = getParameter( param );
		if ( temp == null )
			return def;
		try {
			return Integer.parseInt( temp );
		}
		catch ( NumberFormatException e )
		{
			return def;
		}
	}

	public void init()
	{
		setLayout( null );
		log = new ElevatorLog( this );
		vis = new ElevatorVisualizer( this, log );
		vis.setLocation( 0, 0 );
		add( vis );
		log.setLocation( 370, 0 );
		add( log );
		visThread = new Thread( vis );
		visThread.start();
	}

	public void destroy()
	{
		visThread.stop();
	}
}
